// Copyright 2019  github.com. All rights reserved.
// Use of this source code is governed by  github.com.
package company

import (
	"context"
	"github.com/jaryhe/gopkgs/database"
	"smart-government-management/errors"
	"smart-government-management/model"
	"smart-government-management/pb/v1"
)


func CompanyStatistic(ctx context.Context, req *v1.CompanyStatisticRequest) (reply *v1.CompanyStatisticReply, err error) {

	reply = &v1.CompanyStatisticReply{}
	ret, err := model.CompanyStatistic(database.DB())
	if err != nil {
		return nil, errors.DataBaseError
	}
	reply.Total = ret.Total
	reply.Increase = ret.Increase

	return reply, nil
}
